package cn.ibizlab.businesscentral.core.odoo_mrp.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.odoo_mrp.domain.Mrp_workorder;
/**
 * 关系型数据实体[Mrp_workorder] 查询条件对象
 */
@Slf4j
@Data
public class Mrp_workorderSearchContext extends QueryWrapperContext<Mrp_workorder> {

	private String n_state_eq;//[状态]
	public void setN_state_eq(String n_state_eq) {
        this.n_state_eq = n_state_eq;
        if(!ObjectUtils.isEmpty(this.n_state_eq)){
            this.getSearchCond().eq("state", n_state_eq);
        }
    }
	private String n_name_like;//[工单]
	public void setN_name_like(String n_name_like) {
        this.n_name_like = n_name_like;
        if(!ObjectUtils.isEmpty(this.n_name_like)){
            this.getSearchCond().like("name", n_name_like);
        }
    }
	private String n_workcenter_id_text_eq;//[工作中心]
	public void setN_workcenter_id_text_eq(String n_workcenter_id_text_eq) {
        this.n_workcenter_id_text_eq = n_workcenter_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_workcenter_id_text_eq)){
            this.getSearchCond().eq("workcenter_id_text", n_workcenter_id_text_eq);
        }
    }
	private String n_workcenter_id_text_like;//[工作中心]
	public void setN_workcenter_id_text_like(String n_workcenter_id_text_like) {
        this.n_workcenter_id_text_like = n_workcenter_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_workcenter_id_text_like)){
            this.getSearchCond().like("workcenter_id_text", n_workcenter_id_text_like);
        }
    }
	private String n_final_lot_id_text_eq;//[批次/序列号码]
	public void setN_final_lot_id_text_eq(String n_final_lot_id_text_eq) {
        this.n_final_lot_id_text_eq = n_final_lot_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_final_lot_id_text_eq)){
            this.getSearchCond().eq("final_lot_id_text", n_final_lot_id_text_eq);
        }
    }
	private String n_final_lot_id_text_like;//[批次/序列号码]
	public void setN_final_lot_id_text_like(String n_final_lot_id_text_like) {
        this.n_final_lot_id_text_like = n_final_lot_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_final_lot_id_text_like)){
            this.getSearchCond().like("final_lot_id_text", n_final_lot_id_text_like);
        }
    }
	private String n_create_uid_text_eq;//[创建人]
	public void setN_create_uid_text_eq(String n_create_uid_text_eq) {
        this.n_create_uid_text_eq = n_create_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_eq)){
            this.getSearchCond().eq("create_uid_text", n_create_uid_text_eq);
        }
    }
	private String n_create_uid_text_like;//[创建人]
	public void setN_create_uid_text_like(String n_create_uid_text_like) {
        this.n_create_uid_text_like = n_create_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_like)){
            this.getSearchCond().like("create_uid_text", n_create_uid_text_like);
        }
    }
	private String n_next_work_order_id_text_eq;//[下一工单]
	public void setN_next_work_order_id_text_eq(String n_next_work_order_id_text_eq) {
        this.n_next_work_order_id_text_eq = n_next_work_order_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_next_work_order_id_text_eq)){
            this.getSearchCond().eq("next_work_order_id_text", n_next_work_order_id_text_eq);
        }
    }
	private String n_next_work_order_id_text_like;//[下一工单]
	public void setN_next_work_order_id_text_like(String n_next_work_order_id_text_like) {
        this.n_next_work_order_id_text_like = n_next_work_order_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_next_work_order_id_text_like)){
            this.getSearchCond().like("next_work_order_id_text", n_next_work_order_id_text_like);
        }
    }
	private String n_operation_id_text_eq;//[操作]
	public void setN_operation_id_text_eq(String n_operation_id_text_eq) {
        this.n_operation_id_text_eq = n_operation_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_operation_id_text_eq)){
            this.getSearchCond().eq("operation_id_text", n_operation_id_text_eq);
        }
    }
	private String n_operation_id_text_like;//[操作]
	public void setN_operation_id_text_like(String n_operation_id_text_like) {
        this.n_operation_id_text_like = n_operation_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_operation_id_text_like)){
            this.getSearchCond().like("operation_id_text", n_operation_id_text_like);
        }
    }
	private String n_write_uid_text_eq;//[最后更新者]
	public void setN_write_uid_text_eq(String n_write_uid_text_eq) {
        this.n_write_uid_text_eq = n_write_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_eq)){
            this.getSearchCond().eq("write_uid_text", n_write_uid_text_eq);
        }
    }
	private String n_write_uid_text_like;//[最后更新者]
	public void setN_write_uid_text_like(String n_write_uid_text_like) {
        this.n_write_uid_text_like = n_write_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_like)){
            this.getSearchCond().like("write_uid_text", n_write_uid_text_like);
        }
    }
	private String n_production_id_text_eq;//[制造订单]
	public void setN_production_id_text_eq(String n_production_id_text_eq) {
        this.n_production_id_text_eq = n_production_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_production_id_text_eq)){
            this.getSearchCond().eq("production_id_text", n_production_id_text_eq);
        }
    }
	private String n_production_id_text_like;//[制造订单]
	public void setN_production_id_text_like(String n_production_id_text_like) {
        this.n_production_id_text_like = n_production_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_production_id_text_like)){
            this.getSearchCond().like("production_id_text", n_production_id_text_like);
        }
    }
	private String n_product_id_text_eq;//[产品]
	public void setN_product_id_text_eq(String n_product_id_text_eq) {
        this.n_product_id_text_eq = n_product_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_product_id_text_eq)){
            this.getSearchCond().eq("product_id_text", n_product_id_text_eq);
        }
    }
	private String n_product_id_text_like;//[产品]
	public void setN_product_id_text_like(String n_product_id_text_like) {
        this.n_product_id_text_like = n_product_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_product_id_text_like)){
            this.getSearchCond().like("product_id_text", n_product_id_text_like);
        }
    }
	private Long n_final_lot_id_eq;//[批次/序列号码]
	public void setN_final_lot_id_eq(Long n_final_lot_id_eq) {
        this.n_final_lot_id_eq = n_final_lot_id_eq;
        if(!ObjectUtils.isEmpty(this.n_final_lot_id_eq)){
            this.getSearchCond().eq("final_lot_id", n_final_lot_id_eq);
        }
    }
	private Long n_workcenter_id_eq;//[工作中心]
	public void setN_workcenter_id_eq(Long n_workcenter_id_eq) {
        this.n_workcenter_id_eq = n_workcenter_id_eq;
        if(!ObjectUtils.isEmpty(this.n_workcenter_id_eq)){
            this.getSearchCond().eq("workcenter_id", n_workcenter_id_eq);
        }
    }
	private Long n_production_id_eq;//[制造订单]
	public void setN_production_id_eq(Long n_production_id_eq) {
        this.n_production_id_eq = n_production_id_eq;
        if(!ObjectUtils.isEmpty(this.n_production_id_eq)){
            this.getSearchCond().eq("production_id", n_production_id_eq);
        }
    }
	private Long n_write_uid_eq;//[最后更新者]
	public void setN_write_uid_eq(Long n_write_uid_eq) {
        this.n_write_uid_eq = n_write_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_eq)){
            this.getSearchCond().eq("write_uid", n_write_uid_eq);
        }
    }
	private Long n_operation_id_eq;//[操作]
	public void setN_operation_id_eq(Long n_operation_id_eq) {
        this.n_operation_id_eq = n_operation_id_eq;
        if(!ObjectUtils.isEmpty(this.n_operation_id_eq)){
            this.getSearchCond().eq("operation_id", n_operation_id_eq);
        }
    }
	private Long n_next_work_order_id_eq;//[下一工单]
	public void setN_next_work_order_id_eq(Long n_next_work_order_id_eq) {
        this.n_next_work_order_id_eq = n_next_work_order_id_eq;
        if(!ObjectUtils.isEmpty(this.n_next_work_order_id_eq)){
            this.getSearchCond().eq("next_work_order_id", n_next_work_order_id_eq);
        }
    }
	private Long n_product_id_eq;//[产品]
	public void setN_product_id_eq(Long n_product_id_eq) {
        this.n_product_id_eq = n_product_id_eq;
        if(!ObjectUtils.isEmpty(this.n_product_id_eq)){
            this.getSearchCond().eq("product_id", n_product_id_eq);
        }
    }
	private Long n_create_uid_eq;//[创建人]
	public void setN_create_uid_eq(Long n_create_uid_eq) {
        this.n_create_uid_eq = n_create_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_eq)){
            this.getSearchCond().eq("create_uid", n_create_uid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("name", query)   
            );
		 }
	}
}



